openstack.placement.v1.resource_provider_trait¶
The ResourceProviderTrait Class¶
The ResourceProviderTrait class inherits from
Resource.
- class openstack.placement.v1.resource_provider_trait.ResourceProviderTrait(_synchronized=False, connection=None, **attrs)¶
The base resource
- Parameters:
_synchronized – This is not intended to be used directly. See
new()andexisting().connection – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of
self._connectionin Resource code should protect itself with a check for None.
- resource_key = None¶
Singular form of key for resource.
- resources_key = None¶
Plural form of key for resource.
- base_path = '/resource_providers/%(resource_provider_id)s/traits'¶
The base part of the URI for this resource.
- requires_id = False¶
Do calls for this resource require an ID.
- commit_method = 'PUT'¶
Method for committing a resource. This must be PATCH if allow_patch is True.
- allow_fetch = True¶
Allow get operation for this resource.
- allow_commit = True¶
Allow update operation for this resource.
- allow_delete = True¶
Allow delete operation for this resource.
- resource_provider_id¶
The UUID of a resource provider.
- resource_provider_generation¶
A consistent view marker that assists with the management of concurrent resource provider updates.
- traits¶
Traits
- commit(session, prepend_key=True, has_body=True, retry_on_conflict=None, base_path=None, *, microversion=None, **kwargs)¶
Commit the state of the instance to the remote resource.
- Parameters:
session – The session to use for making this request.
prepend_key – Whether the
resource_keyshould be prepended in a resource creation request. Default to True.retry_on_conflict – Whether to enable retries on HTTP CONFLICT (409). Value of
Noneleaves the Adapter defaults.base_path – Base part of the URI for modifying resources, if different from
base_path.microversion – API version to override the negotiated one.
attrs – Attributes to pass when updating the resource. These should correspond to either
BodyorHeadervalues on the resource.
- Returns:
This
Resourceinstance.- Raises:
MethodNotSupportedifResource.allow_commitis not set toTrue.
- fetch(session, requires_id=False, base_path=None, error_message=None, skip_cache=False, *, resource_response_key=None, microversion=None, **params)¶
Get a remote resource based on this instance.
- Parameters:
session – The session to use for making this request.
requires_id – Whether resource ID should be part of the requested URI.
base_path – Base part of the URI for fetching resources, if different from
base_path.error_message – An error message to be returned if requested object does not exist.
skip_cache – A boolean indicating whether optional API cache should be skipped for this invocation.
resource_response_key – Overrides the usage of self.resource_key when processing the response body.
microversion – API version to override the negotiated one.
params – Additional parameters that can be consumed.
- Returns:
This
Resourceinstance.- Raises:
MethodNotSupportedifResource.allow_fetchis not set toTrue.- Raises:
NotFoundExceptionif the resource was not found.